/**
 * Base app index
 */
.does-nothing-button:focus {
  -webkit-animation: rainbow 2s ease-in-out infinite;
  animation: rainbow 2s ease-in-out infinite;
  background: linear-gradient(45deg, red, orange, yellow, green, blue, indigo, violet);
  background-size: 1000% 1000%; }
  .does-nothing-button:focus:after {
    content: "... just kidding!"; }

@keyframes rainbow {
  0% {
    background-position: 0% 80%; }
  25% {
    background-position: 50% 50%; }
  50% {
    background-position: 100% 20%; }
  75% {
    background-position: 50% 50%; }
  100% {
    background-position: 0% 80%; } }

table.dataTable {
  border-collapse: collapse !important; }
  table.dataTable tbody td {
    vertical-align: top;
    padding: 8px; }
  table.dataTable tbody td > .cell {
    min-width: 100px;
    height: 100px;
    line-height: 25px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    line-clamp: 4;
    -webkit-box-orient: vertical; }
